export declare class PnIllustration {
    hostElement: HTMLElement;
    /** The SVG content of the illustration you want to use. The viewBox property will be used to determine width/height */
    illustration: string;
    /** Set the width of the SVG element. Any valid CSS width value is allowed */
    width?: string;
    /** Set the height of the SVG element. Any valid CSS height value is allowed */
    height?: string;
    /** Make the SVG fill to its parent size (sets width/height 100% and `display: block` instead of `inline-block`) */
    fill?: boolean;
    handleFill(): void;
    componentWillRender(): void;
    componentDidRender(): void;
    getSizeFromSvg(): void;
    setSizes(): void;
    render(): any;
}
